## vamp-plugin-sdk 1.3

=== Makefile ===
--- 
+++ 
@@ -28,7 +28,7 @@
 
 # Compile flags
 #
-CXXFLAGS	:= $(CXXFLAGS) -O2 -Wall -I. -fPIC 
+CXXFLAGS	:= $(CXXFLAGS) -O2 -Wall -I. -fPIC
 
 # ar, ranlib
 #
@@ -40,8 +40,8 @@
 # because our plugin exposes only a C API so there are no boundary
 # compatibility problems.)
 #
-PLUGIN_LIBS	= $(SDKDIR)/libvamp-sdk.a
-#PLUGIN_LIBS	= $(SDKDIR)/libvamp-sdk.a $(shell g++ -print-file-name=libstdc++.a)
+#PLUGIN_LIBS	= $(SDKDIR)/libvamp-sdk.a
+PLUGIN_LIBS	= $(SDKDIR)/libvamp-sdk.a $(shell g++ -print-file-name=libstdc++.a)
 
 # File extension for a dynamically loadable object
 #
@@ -57,7 +57,7 @@
 # editing for non-Linux platforms.  Of course you don't necessarily
 # have to use "make install".
 #
-INSTALL_PREFIX	 	  := /usr
+INSTALL_PREFIX	 	  := /usr/local
 INSTALL_API_HEADERS	  := $(INSTALL_PREFIX)/include/vamp
 INSTALL_SDK_HEADERS	  := $(INSTALL_PREFIX)/include/vamp-sdk
 INSTALL_HOSTEXT_HEADERS	  := $(INSTALL_PREFIX)/include/vamp-sdk/hostext
@@ -79,10 +79,15 @@
 
 # Flags required to tell the compiler to create a dynamically loadable object
 #
-DYNAMIC_LDFLAGS		= --static-libgcc -shared -Wl,-Bsymbolic
-PLUGIN_LDFLAGS		= $(DYNAMIC_LDFLAGS)
+DYNAMIC_LDFLAGS		= -static-libgcc -shared -Wl,-Bsymbolic
 SDK_DYNAMIC_LDFLAGS	= $(DYNAMIC_LDFLAGS) -Wl,-soname=$(INSTALL_SDK_LINK_ABI)
 HOSTSDK_DYNAMIC_LDFLAGS	= $(DYNAMIC_LDFLAGS) -Wl,-soname=$(INSTALL_HOSTSDK_LINK_ABI)
+
+# Additional flags for making a plugin.  This version script tells the
+# GNU linker to make all symbols in the library hidden except for the
+# public entry point.  It's not essential, but makes a tidier library.
+PLUGIN_LDFLAGS		= $(DYNAMIC_LDFLAGS) -Wl,--version-script=vamp-plugin.map
+
 
 ## For OS/X with g++:
 #DYNAMIC_LDFLAGS		= -dynamiclib
@@ -252,3 +257,57 @@
 		    -e "s,%LIBS%,$(INSTALL_SDK_LIBS),g" $(HOSTSDK_LA).in \
 		> $(DESTDIR)$(INSTALL_SDK_LIBS)/$(INSTALL_HOSTSDK_LA)
 
+# DO NOT DELETE
+
+examples/AmplitudeFollower.o: vamp-sdk/Plugin.h vamp-sdk/PluginBase.h
+examples/AmplitudeFollower.o: vamp-sdk/RealTime.h
+examples/PercussionOnsetDetector.o: vamp-sdk/Plugin.h vamp-sdk/PluginBase.h
+examples/PercussionOnsetDetector.o: vamp-sdk/RealTime.h
+examples/SpectralCentroid.o: vamp-sdk/Plugin.h vamp-sdk/PluginBase.h
+examples/SpectralCentroid.o: vamp-sdk/RealTime.h
+examples/ZeroCrossing.o: vamp-sdk/Plugin.h vamp-sdk/PluginBase.h
+examples/ZeroCrossing.o: vamp-sdk/RealTime.h
+vamp-sdk/PluginAdapter.o: vamp-sdk/Plugin.h vamp-sdk/PluginBase.h
+vamp-sdk/PluginAdapter.o: vamp-sdk/RealTime.h
+vamp-sdk/Plugin.o: vamp-sdk/PluginBase.h vamp-sdk/RealTime.h
+vamp-sdk/PluginHostAdapter.o: vamp-sdk/Plugin.h vamp-sdk/PluginBase.h
+vamp-sdk/PluginHostAdapter.o: vamp-sdk/RealTime.h
+examples/AmplitudeFollower.o: examples/AmplitudeFollower.h vamp-sdk/Plugin.h
+examples/AmplitudeFollower.o: vamp-sdk/PluginBase.h vamp-sdk/RealTime.h
+examples/PercussionOnsetDetector.o: examples/PercussionOnsetDetector.h
+examples/PercussionOnsetDetector.o: vamp-sdk/Plugin.h vamp-sdk/PluginBase.h
+examples/PercussionOnsetDetector.o: vamp-sdk/RealTime.h
+examples/plugins.o: vamp/vamp.h vamp-sdk/PluginAdapter.h vamp-sdk/Plugin.h
+examples/plugins.o: vamp-sdk/PluginBase.h vamp-sdk/RealTime.h
+examples/plugins.o: examples/ZeroCrossing.h vamp-sdk/Plugin.h
+examples/plugins.o: examples/SpectralCentroid.h
+examples/plugins.o: examples/PercussionOnsetDetector.h
+examples/plugins.o: examples/AmplitudeFollower.h
+examples/SpectralCentroid.o: examples/SpectralCentroid.h vamp-sdk/Plugin.h
+examples/SpectralCentroid.o: vamp-sdk/PluginBase.h vamp-sdk/RealTime.h
+examples/ZeroCrossing.o: examples/ZeroCrossing.h vamp-sdk/Plugin.h
+examples/ZeroCrossing.o: vamp-sdk/PluginBase.h vamp-sdk/RealTime.h
+host/vamp-simple-host.o: vamp-sdk/PluginHostAdapter.h vamp-sdk/Plugin.h
+host/vamp-simple-host.o: vamp-sdk/PluginBase.h vamp-sdk/RealTime.h
+host/vamp-simple-host.o: vamp-sdk/hostext/PluginChannelAdapter.h
+host/vamp-simple-host.o: vamp-sdk/hostext/PluginWrapper.h
+host/vamp-simple-host.o: vamp-sdk/hostext/PluginInputDomainAdapter.h
+host/vamp-simple-host.o: vamp-sdk/hostext/PluginLoader.h vamp/vamp.h
+host/vamp-simple-host.o: host/system.h
+vamp-sdk/PluginAdapter.o: vamp-sdk/PluginAdapter.h vamp/vamp.h
+vamp-sdk/PluginAdapter.o: vamp-sdk/Plugin.h vamp-sdk/PluginBase.h
+vamp-sdk/PluginAdapter.o: vamp-sdk/RealTime.h
+vamp-sdk/PluginHostAdapter.o: vamp-sdk/PluginHostAdapter.h vamp/vamp.h
+vamp-sdk/PluginHostAdapter.o: vamp-sdk/Plugin.h vamp-sdk/PluginBase.h
+vamp-sdk/PluginHostAdapter.o: vamp-sdk/RealTime.h
+vamp-sdk/RealTime.o: vamp-sdk/RealTime.h
+vamp-sdk/hostext/PluginBufferingAdapter.o: vamp-sdk/hostext/PluginWrapper.h
+vamp-sdk/hostext/PluginBufferingAdapter.o: vamp-sdk/Plugin.h
+vamp-sdk/hostext/PluginBufferingAdapter.o: vamp-sdk/PluginBase.h
+vamp-sdk/hostext/PluginBufferingAdapter.o: vamp-sdk/RealTime.h
+vamp-sdk/hostext/PluginChannelAdapter.o: vamp-sdk/hostext/PluginWrapper.h
+vamp-sdk/hostext/PluginChannelAdapter.o: vamp-sdk/Plugin.h
+vamp-sdk/hostext/PluginChannelAdapter.o: vamp-sdk/PluginBase.h
+vamp-sdk/hostext/PluginChannelAdapter.o: vamp-sdk/RealTime.h
+vamp-sdk/hostext/PluginInputDomainAdapter.o: vamp-sdk/hostext/PluginWrapper.h
+vamp-sdk/hostext/PluginInputDomainAdapter.o: vamp-sdk/Plugin.h
