## vamp-plugin-sdk 2.4

=== debian/changelog ===
vamp-plugin-sdk (2.4-1) unstable; urgency=low

  [ Jaromír Mikeš ]
  * New upstream release (Closes: #603814)
  * Adopting by team. (Closes: #688625)
  * Set priority optional (Closes: #566594)
  * Bump Standards.
  * Introducing Format 3.0
  * Added gbp.conf
  * Fix watch file.
  * Update copyright file.
  * Switch to short dh.
  * Set dh/compat 9
  * Added misc:Depends for doc package.
  * Introducing multi-arch.
  * Remove .a .la files.

  [ Alessio Treglia ]
  * Move vamp-rdf-template-generator from vamp-plugin-sdk to
    vamp-examples to meet Multiarch.
  * Allow DM uploads.
  * Add Vcs-* fields.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 29 Oct 2012 12:55:07 +0100

vamp-plugin-sdk (2.1-1) unstable; urgency=low

  * New upstream release (Closes: #560337)
  * Added skeleton/ to vamp-plugin-sdk
  * Added vamp-rdf-tempate-generator to vamp-plugin-sdk
  * Added manpage for vamp-rdf-template-generator TODO
  * Don't run `$(MAKE) test` if `nocheck` is present in DEB_BUILD_OPTIONS.
    This involves running several $(MAKE)s with specific targets instead
    of one generic run. TODO: check Makefile for new targets on every new
    upstream release.
  * Fixed typo in debian/control, libvamp-sdk2
  * Fixed debian/vamp-plugin-sdk.examples so source code for example plugins
    is really installed now
  * Added #include <cstdio> to examples/FixedTempoEstimator.cpp to build
    with GCC 4.3 (Closes: #562653)
  * Provide a doc-base control file in vamp-plugin-sdk-doc
  * Bumped Standards-Version to 3.8.3

 -- Székelyi Szabolcs <cc@mail.3d.hu>  Wed, 23 Dec 2009 19:15:05 +0100

vamp-plugin-sdk (2.0-1) unstable; urgency=low

  * New upstream release
  * Adopted to new upstream build process (GNU Autoconf)
  * Bumped Standards-Version to 3.8.1
  * Renamed libvamp-sdk1 to libvamp-sdk2
  * Renamed libvamp-hostsdk2 to libvamp-hostsdk3

 -- Székelyi Szabolcs <cc@mail.3d.hu>  Thu, 17 Apr 2009 13:03:58 +0200

vamp-plugin-sdk (1.3-1) unstable; urgency=low

  * New upstream release
  * Reverted changes made to the source in 1.2-1.1 (fixed in upstream)
  * Moved doxygenerated documentation into a separate Architecture: all
    package (vamp-plugin-sdk-doc) (required giving -a to dh_* in
    binary-arch and -i in binary-indep)
  * debian/rules: removed hardcoded version numbers from get-orig-source,
    relpaced with dynamic upstream version number (determined from
    debian/changelog)
  * debian/control: added Homepage: control field
  * Makefile: made adjustments so vamp-simple-host is now dynamically
    linked against libraries from libvamp-hostsdk2 and example plugins use
    libvamp-sdk1

 -- Székelyi Szabolcs <cc@mail.3d.hu>  Fri, 01 Aug 2008 16:55:36 +0200

vamp-plugin-sdk (1.2-1.1) unstable; urgency=high

  * NMU to fix build with gcc 4.3 (Closes: #482571, #483321)
    - vamp-sdk/PluginAdapter.cpp: #include <cstring> and <cstdlib>
    - vamp-sdk/PluginHostAdapter.cpp: <cstdlib>
    - vamp-sdk/hostext/PluginLoader.cpp: <cstring>
    - host/vamp-simple-host.cpp: <cstring> and <cstdlib>
  * Bump Standards-Version to 3.8.0

 -- Albin Tonnerre <albin.tonnerre@gmail.com>  Sun, 15 Jun 2008 22:22:53 +0200

vamp-plugin-sdk (1.2-1) unstable; urgency=low

  * New upstream release

 -- Székelyi Szabolcs <cc@mail.3d.hu>  Tue, 15 Apr 2008 19:05:36 +0200

vamp-plugin-sdk (1.1b-1) unstable; urgency=low

  * Initial release (Closes: #463754)

 -- Székelyi Szabolcs <cc@mail.3d.hu>  Mon, 11 Feb 2008 01:02:37 +0100
