=== debian/control ===
Source: vamp-plugin-sdk
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends:
 debhelper (>= 9),
 docbook-to-man,
 doxygen,
 graphviz,
 libsndfile1-dev
DM-Upload-Allowed: yes
Standards-Version: 3.9.3
Homepage: http://www.vamp-plugins.org/
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/vamp-plugin-sdk.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/vamp-plugin-sdk.git

Package: vamp-plugin-sdk
Architecture: any
Depends:
 libvamp-hostsdk3 (= ${binary:Version}),
 libvamp-sdk2 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Multi-Arch: same
Description: audio analysis and feature extraction plugins (SDK)
 Vamp is an audio processing plugin system for plugins that extract
 descriptive information from audio data - typically referred to as
 audio analysis plugins or audio feature extraction plugins.
 .
 Just like an audio effects plugin (such as a VST), a Vamp plugin is a
 binary module that can be loaded up by a host application and fed
 audio data. However, unlike an effects plugin, a Vamp plugin outputs
 not processed audio but some sort of symbolic information. Typical
 things that a Vamp plugin might calculate include the locations of
 moments such as note onset times, visual representations of the audio
 such as histograms, or curve data such as power or fundamental
 frequency.
 .
 Hosts using Vamp plugins include Audacity and Sonic Visualiser.
 .
 This package contains C and C++ header files for developing Vamp
 plugins and hosts as well as source code of example plugins and a
 simple host.

Package: libvamp-sdk2
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Description: helper library for Vamp plugins written in C++
 Vamp is an audio processing plugin system for plugins that extract
 descriptive information from audio data - typically referred to as
 audio analysis plugins or audio feature extraction plugins.
 .
 If you want to develop Vamp plugins in C++, you should use this
 library to expose the official C API to hosts.

Package: libvamp-hostsdk3
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Description: helper library for Vamp hosts written in C++
 Vamp is an audio processing plugin system for plugins that extract
 descriptive information from audio data - typically referred to as
 audio analysis plugins or audio feature extraction plugins.
 .
 This library contains handy classes for using Vamp plugins from
 hosts written in C++.

Package: vamp-examples
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Breaks: vamp-plugin-sdk (<< 2.4-1~)
Replaces: vamp-plugin-sdk (<< 2.4-1~)
Description: example Vamp plugins, host and RDF generator
 Vamp is an audio processing plugin system for plugins that extract
 descriptive information from audio data - typically referred to as
 audio analysis plugins or audio feature extraction plugins.
 .
 This package contains the following example plugins:
 .
  * Zero Crossings calculates the positions and density of
    zero-crossing points in an audio waveform.
 .
  * Spectral Centroid calculates the centre of gravity of the
    frequency domain representation of each block of audio.
 .
  * Simple Power Spectrum calculates a power spectrum from the input
    audio.  Actually, it doesn't do any work except calculating power
    from a cartesian complex FFT output.  The work of calculating this
    frequency domain output is done for it by the host or host SDK; the
    plugin just needs to declare that it wants frequency domain
    input. This is the simplest of the example plugins.
 .
  * Amplitude Follower is an implementation of SuperCollider's
    amplitude-follower algorithm as a simple Vamp plugin.
 .
  * Simple Percussion Onset Detector: estimates the locations of
    percussive onsets using a simple method described in "Drum Source
    Separation using Percussive Feature Detection and Spectral
    Modulation" by Dan Barry, Derry Fitzgerald, Eugene Coyle and Bob
    Lawlor, ISSC 2005.
 .
  * Simple Fixed Tempo Estimator: calculates a single beats-per-minute
    value which is an estimate of the tempo of a piece of music that is
    assumed to be of fixed tempo, using autocorrelation of a frequency
    domain energy rise metric.  It has several outputs that return
    intermediate results used in the calculation, and may be a useful
    example of a plugin having several outputs with varying feature
    structures.
 .
 Also included is a simple host that can enumerate plugins, list their
 features, and process an audio file as well as a utility to generate
 Vamp plugin RDF templates.

Package: vamp-plugin-sdk-doc
Architecture: all
Depends:
 ${misc:Depends}
Section: doc
Description: audio analysis and feature extraction plugins (API documentation)
 Vamp is an audio processing plugin system for plugins that extract
 descriptive information from audio data - typically referred to as
 audio analysis plugins or audio feature extraction plugins.
 .
 This package contains API specification for Vamp plugins and
 documentation for libraries provided by the libvamp-hostsdk3 and
 libvamp-sdk2 packages.
