=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS+=-Wl,--as-needed

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export PREFIX=/usr
export LIBDIR=lib/$(DEB_HOST_MULTIARCH)
export DESTDIR=$(CURDIR)/debian/tmp

%:
	dh $@


override_dh_auto_build:
	dh_auto_build
	doxygen build/Doxyfile
	docbook-to-man debian/vamp-simple-host.sgml > vamp-simple-host.1
	docbook-to-man debian/vamp-rdf-template-generator.sgml > vamp-rdf-template-generator.1
