=== debian/watch ===
version=3

http://code.soundsoftware.ac.uk/projects/vamp-plugin-sdk/files \
	/attachments/download/\d+/vamp-plugin-sdk-(\d.\d)\.tar\.gz
