## vamp-plugin-sdk 2.5

=== debian/changelog ===
vamp-plugin-sdk (2.5-1) unstable; urgency=low

  * New upstream release.
  * Bump standards.
  * Refreshed patch.
  * Fix .gitignore file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 14 May 2013 00:21:08 +0200
