=== debian/control ===
--- 
+++ 
@@ -10,8 +10,7 @@
  doxygen,
  graphviz,
  libsndfile1-dev
-DM-Upload-Allowed: yes
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://www.vamp-plugins.org/
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/vamp-plugin-sdk.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/vamp-plugin-sdk.git
