## vamp-plugin-sdk 2.5%2Brepack0

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: vamp-plugin-sdk
-Section: sound
+Section: libs
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
  debhelper (>= 9),
+ dh-autoreconf,
  docbook-to-man,
  doxygen,
  graphviz,
  libsndfile1-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.vamp-plugins.org/
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/vamp-plugin-sdk.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/vamp-plugin-sdk.git
