## vamp-plugin-sdk 2.5+repack0

=== debian/changelog ===
vamp-plugin-sdk (2.5+repack0-2) unstable; urgency=medium

  * Team upload.
  * Fix pkg-config patch to let autoconf set the prefix variable.

 -- Benjamin Drung <bdrung@debian.org>  Sun, 23 Mar 2014 17:10:01 +0100

vamp-plugin-sdk (2.5+repack0-1) unstable; urgency=low

  * Imported Upstream version 2.5+repack0
  * Set section libs.
  * Repack scripts updated.
  * Bump Standards.
  * Added patch to fix pkg-config (Closes: #728826)
  * Added overrides file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 27 Feb 2014 13:43:11 +0100

vamp-plugin-sdk (2.5-2) unstable; urgency=low

  * Reintroduce *.a files. (Closes: #715506)

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 06 Aug 2013 10:38:58 +0200
