=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 export DESTDIR=$(CURDIR)/debian/tmp
 
 %:
-	dh $@
+	dh $@ --with autoreconf
 
 
 override_dh_auto_build:
