## vamp-plugin-sdk 2.6~repack0

=== debian/changelog ===
vamp-plugin-sdk (2.6~repack0-2) unstable; urgency=medium

  * Team upload.
  * Rename packages for GCC 5 transition.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 06 Aug 2015 19:22:09 +0200

vamp-plugin-sdk (2.6~repack0-1) unstable; urgency=medium

  * Introduce get-orig-source.
  * Adapt watch file to new way of repacking.
  * Remove old repacking scripts.
  * Patches refreshed.
  * Bump Standards.
  * Not install useless autogenerated doxygen file.
  * Enable parallel build.
  * Not install useless autogenerated doxygen files.
  * Not install embedded javascript library.
  * Patches forwarded.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 16 Jun 2015 21:33:23 +0200
