=== debian/control ===
--- 
+++ 
@@ -10,8 +10,10 @@
  docbook-to-man,
  doxygen,
  graphviz,
- libsndfile1-dev
-Standards-Version: 3.9.5
+ libsndfile1-dev,
+ libjs-jquery,
+ g++ (>= 4:5.2)
+Standards-Version: 3.9.6
 Homepage: http://www.vamp-plugins.org/
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/vamp-plugin-sdk.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/vamp-plugin-sdk.git
@@ -19,8 +21,8 @@
 Package: vamp-plugin-sdk
 Architecture: any
 Depends:
- libvamp-hostsdk3 (= ${binary:Version}),
- libvamp-sdk2 (= ${binary:Version}),
+ libvamp-hostsdk3v5 (= ${binary:Version}),
+ libvamp-sdk2v5 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends}
 Multi-Arch: same
@@ -44,7 +46,7 @@
  plugins and hosts as well as source code of example plugins and a
  simple host.
 
-Package: libvamp-sdk2
+Package: libvamp-sdk2v5
 Architecture: any
 Depends:
  ${misc:Depends},
@@ -52,6 +54,10 @@
 Multi-Arch: same
 Pre-Depends:
  ${misc:Pre-Depends}
+Breaks:
+ libvamp-sdk2
+Replaces:
+ libvamp-sdk2
 Description: helper library for Vamp plugins written in C++
  Vamp is an audio processing plugin system for plugins that extract
  descriptive information from audio data - typically referred to as
@@ -60,7 +66,7 @@
  If you want to develop Vamp plugins in C++, you should use this
  library to expose the official C API to hosts.
 
-Package: libvamp-hostsdk3
+Package: libvamp-hostsdk3v5
 Architecture: any
 Depends:
  ${misc:Depends},
@@ -68,6 +74,10 @@
 Multi-Arch: same
 Pre-Depends:
  ${misc:Pre-Depends}
+Breaks:
+ libvamp-hostsdk3
+Replaces:
+ libvamp-hostsdk3
 Description: helper library for Vamp hosts written in C++
  Vamp is an audio processing plugin system for plugins that extract
  descriptive information from audio data - typically referred to as
