=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,8 @@
 #!/usr/bin/make -f
+
+upstream_version ?= $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9.]+)(\+dfsg\d+)?.*$$/\1/p')
+dfsg_version = $(upstream_version)~repack0
+pkg = $(shell dpkg-parsechangelog | sed -ne 's/^Source: //p')
 
 LDFLAGS+=-Wl,--as-needed
 
@@ -8,11 +12,26 @@
 export DESTDIR=$(CURDIR)/debian/tmp
 
 %:
-	dh $@ --with autoreconf
+	dh $@ --with autoreconf --parallel
 
 
 override_dh_auto_build:
 	dh_auto_build
 	doxygen build/Doxyfile
+	# Don't install useless autogenerated doxygen files
+	rm $(CURDIR)/doc/html/*.md5
+	# Don't install embedded javascript library
+	rm $(CURDIR)/doc/html/jquery.js
 	docbook-to-man debian/vamp-simple-host.sgml > vamp-simple-host.1
 	docbook-to-man debian/vamp-rdf-template-generator.sgml > vamp-rdf-template-generator.1
+
+get-orig-source:
+	uscan --noconf --force-download --rename --download-current-version --destdir=.
+	tar -xf $(pkg)_$(upstream_version).orig.tar.gz
+	mv $(pkg)-$(upstream_version) $(pkg)-$(dfsg_version)
+	rm $(pkg)-$(dfsg_version)/.hg*
+	tar cf $(pkg)_$(dfsg_version).orig.tar $(pkg)-$(dfsg_version)
+	xz -zf $(pkg)_$(dfsg_version).orig.tar
+	rm -rf $(pkg)-$(dfsg_version)
+	mv $(pkg)_$(dfsg_version).orig.tar.xz ../$(pkg)_$(dfsg_version).orig.tar.xz
+	mv $(pkg)_$(upstream_version).orig.tar.gz ../$(pkg)_$(upstream_version).orig.tar.gz
