## vamp-plugin-sdk 2.7.1~repack0

=== debian/changelog ===
vamp-plugin-sdk (2.7.1~repack0-1) unstable; urgency=medium

  * New upstream version 2.7.1~repack0
  * Bump Standards.
  * Patches refreshed.
  * Remove substitution variable 'shlibs:Depends' from vamp-plugin-sdk package.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 26 Jun 2017 00:29:24 +0200

vamp-plugin-sdk (2.6~repack0-3) unstable; urgency=medium

  * Set dh/compat 10.
  * Update copyright file.
  * Sign tags.
  * Fix VCS fields.
  * Fix hardening.
  * Set section sound for vamp-examples package.
  * Avoid most useless linking.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 26 Dec 2016 23:48:51 +0100
