=== debian/control ===
--- 
+++ 
@@ -5,26 +5,24 @@
 Uploaders:
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper (>= 9),
- dh-autoreconf,
+ debhelper (>= 10),
  docbook-to-man,
  doxygen,
  graphviz,
  libsndfile1-dev,
  libjs-jquery,
  g++ (>= 4:5.2)
-Standards-Version: 3.9.6
+Standards-Version: 4.0.0
 Homepage: http://www.vamp-plugins.org/
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/vamp-plugin-sdk.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/vamp-plugin-sdk.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/vamp-plugin-sdk.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/vamp-plugin-sdk.git
 
 Package: vamp-plugin-sdk
 Architecture: any
 Depends:
  libvamp-hostsdk3v5 (= ${binary:Version}),
  libvamp-sdk2v5 (= ${binary:Version}),
- ${misc:Depends},
- ${shlibs:Depends}
+ ${misc:Depends}
 Multi-Arch: same
 Description: audio analysis and feature extraction plugins (SDK)
  Vamp is an audio processing plugin system for plugins that extract
@@ -88,6 +86,7 @@
 
 Package: vamp-examples
 Architecture: any
+Section: sound
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}
