=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,9 @@
 dfsg_version = $(upstream_version)~repack0
 pkg = $(shell dpkg-parsechangelog | sed -ne 's/^Source: //p')
 
-LDFLAGS+=-Wl,--as-needed
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+export DEB_LDFLAGS_MAINT_APPEND = -ldl -Wl,--as-needed
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 export PREFIX=/usr
@@ -12,7 +14,7 @@
 export DESTDIR=$(CURDIR)/debian/tmp
 
 %:
-	dh $@ --with autoreconf --parallel
+	dh $@
 
 
 override_dh_auto_build:
