=== debian/watch ===
version=3
opts=dversionmangle=s/~repack.*// \
http://code.soundsoftware.ac.uk/projects/vamp-plugin-sdk/files \
	/attachments/download/\d+/vamp-plugin-sdk-([\d.]+)\.tar\.gz
