## vamp-plugin-sdk 2.9.0

=== debian/changelog ===
vamp-plugin-sdk (2.9.0-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:11:21 +0100

vamp-plugin-sdk (2.9.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Team upload.
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Sebastian Ramacher ]
  * New upstream release
  * debian/copyright: Update copyright info
  * debian/control:
    - Remove obsolete Breaks+Replaces+Pre-Depends
    - Bump debhelper compat to 12
    - Bump Standards-Version
  * debian/rules:
    - Do not remove Doxygen's jquery
    - Split build override
  * debian/patches:
    - Refresh patches
    - Fix underlinking properly

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 21 Nov 2019 23:51:02 +0100
