=== debian/control ===
--- 
+++ 
@@ -1,21 +1,21 @@
 Source: vamp-plugin-sdk
 Section: libs
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 12),
  docbook-to-man,
- doxygen,
  graphviz,
  libsndfile1-dev,
- libjs-jquery,
  g++ (>= 4:5.2)
-Standards-Version: 4.0.0
+Build-Depends-Indep:
+ doxygen
+Standards-Version: 4.4.1
 Homepage: http://www.vamp-plugins.org/
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/vamp-plugin-sdk.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/vamp-plugin-sdk.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/vamp-plugin-sdk.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/vamp-plugin-sdk
 
 Package: vamp-plugin-sdk
 Architecture: any
@@ -50,12 +50,6 @@
  ${misc:Depends},
  ${shlibs:Depends}
 Multi-Arch: same
-Pre-Depends:
- ${misc:Pre-Depends}
-Breaks:
- libvamp-sdk2
-Replaces:
- libvamp-sdk2
 Description: helper library for Vamp plugins written in C++
  Vamp is an audio processing plugin system for plugins that extract
  descriptive information from audio data - typically referred to as
@@ -70,12 +64,6 @@
  ${misc:Depends},
  ${shlibs:Depends}
 Multi-Arch: same
-Pre-Depends:
- ${misc:Pre-Depends}
-Breaks:
- libvamp-hostsdk3
-Replaces:
- libvamp-hostsdk3
 Description: helper library for Vamp hosts written in C++
  Vamp is an audio processing plugin system for plugins that extract
  descriptive information from audio data - typically referred to as
@@ -90,8 +78,6 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}
-Breaks: vamp-plugin-sdk (<< 2.4-1~)
-Replaces: vamp-plugin-sdk (<< 2.4-1~)
 Description: example Vamp plugins, host and RDF generator
  Vamp is an audio processing plugin system for plugins that extract
  descriptive information from audio data - typically referred to as
