=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export PREFIX=/usr
export LIBDIR=lib/$(DEB_HOST_MULTIARCH)
export DESTDIR=$(CURDIR)/debian/tmp

%:
	dh $@

override_dh_auto_build-arch:
	dh_auto_build
	docbook-to-man debian/vamp-simple-host.sgml > vamp-simple-host.1
	docbook-to-man debian/vamp-rdf-template-generator.sgml > vamp-rdf-template-generator.1

override_dh_auto_build-indep:
	doxygen build/Doxyfile
	# Don't install useless autogenerated doxygen files
	rm $(CURDIR)/doc/html/*.md5
