## vamp-plugin-sdk 2.10.0

=== debian/changelog ===
vamp-plugin-sdk (2.10.0-5) unstable; urgency=medium

  * Team upload.

  * Upload to unstable.
  * Add time64 compat hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 26 Jun 2024 15:51:23 +0200

vamp-plugin-sdk (2.10.0-5~exp) experimental; urgency=medium

  * Team upload.

  * Rename libraries for 64-bit time_t transition. (Closes: #1069317)
  * B-D on 'pkgconf' rather than 'pkg-config'
  * Add autopkgtest
  * Streamlined copyright information
    + Add 'licensecheck' target
    + Generate d/copyright_hints
  * Apply 'wrap-and-sort -ast'
  * Bump standards version to 4.7.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 24 Jun 2024 16:12:45 +0200

vamp-plugin-sdk (2.10.0-4) unstable; urgency=medium

  * Clean files from successful build (Closes: #1046235)
  * Bump Standards-Version to 4.6.2
  * Change my email address

 -- Dennis Braun <snd@debian.org>  Sat, 23 Sep 2023 21:45:43 +0200

vamp-plugin-sdk (2.10.0-3) unstable; urgency=medium

  * Team Upload.
  * Add patch to not force running tests, these are
    automatically taken care of in dh_auto_test step, which
    also helps fix cross-builds

 -- Nilesh Patra <nilesh@debian.org>  Sat, 22 Oct 2022 20:11:26 +0530

vamp-plugin-sdk (2.10.0-2) unstable; urgency=medium

  * Add pkg-config to B-Ds (Closes: #1020048)
  * Bump Standards Version to 4.6.1
  * Bump d/watch version to 4
  * Add salsa ci config
  * Remove unnecessary constraints
  * d/copyright: Add myself to the d/ section
  * Add d/source/lintian-overrides

 -- Dennis Braun <d_braun@kabelmail.de>  Sat, 15 Oct 2022 19:13:19 +0200

vamp-plugin-sdk (2.10.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field
  * Fix day-of-week for changelog entry 2.0-1

  [ Dennis Braun ]
  * New upstream version 2.10.0
  * Update patchset
  * d/control
    + Bump dh-compat to 13
    + Bump S-V to 4.5.0
    + Mark vamp-plugin-sdk-doc as Multi-Arch: foreign
    + Add me as uploader
    + Set RRR: no
  * d/copyright: Use https protocol for source
  * d/copyright: Bump copyright year
  * Add d/not-installed
  * Add d/upstream/metadata
  * d/rules: Remove obsolete linker flags
  * d/watch: Use https protocol

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 25 May 2020 21:34:00 +0200
