=== debian/control ===
--- 
+++ 
@@ -3,26 +3,29 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
- Jaromír Mikeš <mira.mikes@seznam.cz>
+ Dennis Braun <snd@debian.org>,
+ Jaromír Mikeš <mira.mikes@seznam.cz>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  docbook-to-man,
+ dpkg-dev (>= 1.22.5),
  graphviz,
  libsndfile1-dev,
- g++ (>= 4:5.2)
+ pkgconf | pkg-config,
 Build-Depends-Indep:
- doxygen
-Standards-Version: 4.4.1
-Homepage: http://www.vamp-plugins.org/
+ doxygen,
+Rules-Requires-Root: no
+Standards-Version: 4.7.0
+Homepage: https://www.vamp-plugins.org/
 Vcs-Git: https://salsa.debian.org/multimedia-team/vamp-plugin-sdk.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/vamp-plugin-sdk
 
 Package: vamp-plugin-sdk
 Architecture: any
 Depends:
- libvamp-hostsdk3v5 (= ${binary:Version}),
- libvamp-sdk2v5 (= ${binary:Version}),
- ${misc:Depends}
+ libvamp-hostsdk3t64 (= ${binary:Version}),
+ libvamp-sdk2t64 (= ${binary:Version}),
+ ${misc:Depends},
 Multi-Arch: same
 Description: audio analysis and feature extraction plugins (SDK)
  Vamp is an audio processing plugin system for plugins that extract
@@ -44,11 +47,18 @@
  plugins and hosts as well as source code of example plugins and a
  simple host.
 
-Package: libvamp-sdk2v5
+Package: libvamp-sdk2t64
 Architecture: any
 Depends:
  ${misc:Depends},
- ${shlibs:Depends}
+ ${shlibs:Depends},
+X-Time64-Compat: libvamp-sdk2v5
+Provides:
+ ${t64:Provides},
+Replaces:
+ libvamp-sdk2v5,
+Breaks:
+ libvamp-sdk2v5 (<< ${source:Version}),
 Multi-Arch: same
 Description: helper library for Vamp plugins written in C++
  Vamp is an audio processing plugin system for plugins that extract
@@ -58,11 +68,18 @@
  If you want to develop Vamp plugins in C++, you should use this
  library to expose the official C API to hosts.
 
-Package: libvamp-hostsdk3v5
+Package: libvamp-hostsdk3t64
 Architecture: any
 Depends:
  ${misc:Depends},
- ${shlibs:Depends}
+ ${shlibs:Depends},
+X-Time64-Compat: libvamp-hostsdk3v5
+Provides:
+ ${t64:Provides},
+Replaces:
+ libvamp-hostsdk3v5,
+Breaks:
+ libvamp-hostsdk3v5 (<< ${source:Version}),
 Multi-Arch: same
 Description: helper library for Vamp hosts written in C++
  Vamp is an audio processing plugin system for plugins that extract
@@ -77,7 +94,7 @@
 Section: sound
 Depends:
  ${misc:Depends},
- ${shlibs:Depends}
+ ${shlibs:Depends},
 Description: example Vamp plugins, host and RDF generator
  Vamp is an audio processing plugin system for plugins that extract
  descriptive information from audio data - typically referred to as
@@ -121,8 +138,9 @@
 
 Package: vamp-plugin-sdk-doc
 Architecture: all
+Multi-Arch: foreign
 Depends:
- ${misc:Depends}
+ ${misc:Depends},
 Section: doc
 Description: audio analysis and feature extraction plugins (API documentation)
  Vamp is an audio processing plugin system for plugins that extract
