=== debian/tests/control ===
Test-Command: make -C debian/tests
Restrictions:
 allow-stderr,
Depends:
 build-essential,
 pkgconf,
 vamp-plugin-sdk,
